
;*******************************************************}
;                                                       }
;       Yalgol/02 run-time library (Win32)              }
;       Run-time library include file                   }
;                                                       }
;       Written by Y [18-08-02] <yallie@mail.ru>        }
;       Based on code by Y [07-04-00]                   }
;                                                       }
;       Copyright (c) 2000-2003 YALLIE, Inc.            }
;       All Rights Reserved                             }
;                                                       }
;*******************************************************}

; $Id: y02rtl.inc,v 1.3 2003/02/02 11:28:40 Y Exp $

TITLE Yalgol/02 run-time library include file (Win32)

.MODEL FLAT
.CODE

; Some constants from windows.h
STD_INPUT_HANDLE = -10 ; dword ptr
STD_OUTPUT_HANDLE = -11
STD_ERROR_HANDLE = -12
INVALID_HANDLE_VALUE = -1

CREATE_NEW = 1
CREATE_ALWAYS = 2
OPEN_EXISTING = 3
OPEN_ALWAYS = 4
TRUNCATE_EXISTING = 5

FILE_SHARE_READ = 1h
FILE_SHARE_WRITE = 2h
FILE_SHARE_DELETE = 4h

FILE_ATTRIBUTE_READONLY = 1h
FILE_ATTRIBUTE_HIDDEN = 2h
FILE_ATTRIBUTE_SYSTEM = 4h
FILE_ATTRIBUTE_DIRECTORY = 10h
FILE_ATTRIBUTE_ARCHIVE = 20h
FILE_ATTRIBUTE_NORMAL = 80h
FILE_ATTRIBUTE_TEMPORARY = 100h
FILE_ATTRIBUTE_COMPRESSED = 800h
FILE_ATTRIBUTE_OFFLINE = 1000h

GENERIC_READ = 80000000h
GENERIC_WRITE = 40000000h
GENERIC_EXECUTE = 20000000h
GENERIC_ALL = 10000000h

FILE_BEGIN = 0
FILE_CURRENT = 1
FILE_END = 2

SW_HIDE = 0
SW_SHOWNORMAL = 1
SW_NORMAL = 1
SW_SHOWMINIMIZED = 2
SW_SHOWMAXIMIZED = 3
SW_MAXIMIZE = 3
SW_SHOWNOACTIVATE = 4
SW_SHOW = 5
SW_MINIMIZE = 6
SW_SHOWMINNOACTIVE = 7
SW_SHOWNA = 8
SW_RESTORE = 9
SW_SHOWDEFAULT = 10
SW_MAX = 10

; Standard file handles
hRtlStdin = STD_INPUT_HANDLE    ; Stdin handle
hRtlStdout = STD_OUTPUT_HANDLE  ; Stdout handle

; Put here WinAPI routines used in System asm sections
EXTRN CloseHandle: NEAR
EXTRN CreateFileA: NEAR
EXTRN ExitProcess: NEAR
EXTRN GetCommandLineA: NEAR
EXTRN GetFileSize: NEAR
EXTRN GetLocalTime: NEAR
EXTRN GetStdHandle: NEAR
EXTRN GlobalAlloc: NEAR
EXTRN GlobalFree: NEAR
EXTRN GlobalHandle: NEAR
EXTRN GlobalLock: NEAR
EXTRN ReadFile: NEAR
EXTRN SetFilePointer: NEAR
EXTRN SetEndOfFile: NEAR
EXTRN Sleep: NEAR
;EXTRN WinExec: NEAR            ; not supported by 32rtm
EXTRN WriteFile: NEAR

.MODEL FLAT, C
.CODE

EXTRN L_MALLOC: NEAR, L_FREE: NEAR

;*******************************************************

; $Log: y02rtl.inc,v $
; Revision 1.3  2003/02/02 11:28:40  Y
;   - all references to kernel32.WinExec (32rtm don't support it)
;
; Revision 1.2  2003/01/28 14:29:03  Y
;   * updated copyright
;
; Revision 1.1  2002/09/12 21:36:15  Y
;   * imported into CVS
;
