
; Brainf*ck compiler for Win32, version 0.00 alpha
; Written by Y [27-01-03] or later as Yalgol/02 sample
; Run-time library include file

.386
.MODEL FLAT, STDCALL
.DATA

STDIN DD ?
STDOUT DD ?
Temp DD ?

.CODE

extrn ExitProcess: NEAR
extrn GetStdHandle: NEAR
extrn GlobalAlloc: NEAR
extrn GlobalFree: NEAR
extrn GlobalLock: NEAR
extrn ReadFile: NEAR
extrn WriteFile: NEAR
        
PutChar         PROC

                MOV     ECX, 1
                PUSH    dword ptr 0             ; NULL (lpOverlapped)
                PUSH    offset Temp             ; bytes written
                PUSH    ECX                     ; bytes to write
                PUSH    EDI                     ; buffer
                MOV     EAX, [STDOUT]           ; stdout handle
                PUSH    EAX                     ; handle
                CALL    WriteFile               
                RET

                ENDP

GetChar         PROC
                
                MOV     byte ptr [EDI], 0
                PUSH    dword ptr 0             ; NULL (lpOverlapped)
                PUSH    offset Temp             ; bytes read
                PUSH    dword ptr 1             ; bytes to read
                PUSH    EDI                     ; buffer
                MOV     EAX, [STDIN]            ; stdin handle
                PUSH    EAX                     ; handle
                CALL    ReadFile
                RET

                ENDP

; This macro allocates memory, gets STDIN and STDOUT handles

Initialize      MACRO   BufferSize

        ; initialize I/O: get STDIN and STDOUT handles
                PUSH    dword ptr -10           ; STD_INPUT_HANDLE
                CALL    GetStdHandle
                MOV     [STDIN], EAX
                PUSH    dword ptr -11           ; STD_OUTPUT_HANDLE
                CALL    GetStdHandle
                MOV     [STDOUT], EAX
        
        ; initialize buffer: allocate memory
                PUSH    dword ptr BufferSize
                PUSH    dword ptr 40h           ; GMEM_ZEROINIT
                CALL    GlobalAlloc
                PUSH    EAX                     ; save handle
                PUSH    EAX
                CALL    GlobalLock              ; convert handle to pointer
                MOV     EDI, EAX

                ENDM

; Shuts down the Brainf*ck run-time system

Deinitialize    MACRO
                
        ; deinitialize: free used memory
                CALL    GlobalFree              ; handle is on the stack

        ; return 0 to the OS
                PUSH    dword ptr 0
                CALL    ExitProcess
                RET

                ENDM
